Bug 620166 - Review Request: python-Chaco - Interactive 2-Dimensional Plotting
Review Request: python-Chaco - Interactive 2-Dimensional Plotting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 620039
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 08:10 EDT by Chen Lei
Modified: 2010-09-06 06:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-06 06:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-08-01 08:10:48 EDT
Description:

Chaco is a Python plotting application toolkit that facilitates writing plotting applications at all levels of complexity, from simple scripts with hard-coded data to large plotting programs with complex data interrelationships and a multitude of interactive tools. While Chaco generates attractive static plots for publication and presentation, it also works well for interactive data visualization and exploration.


Link:
SRPM: http://dl.dropbox.com/u/1338197/1/python-Chaco-3.3.1-1.fc13.src.rpm
SPEC: http://dl.dropbox.com/u/1338197/1/python-Chaco.spec
Comment 1 Athmane Madjoudj 2010-08-01 18:26:27 EDT
rpmlint output:

$ rpmlint python-Chaco-3.3.1-1.fc13.src.rpm 
python-Chaco.src: W: no-cleaning-of-buildroot %clean
python-Chaco.src: W: no-buildroot-tag
python-Chaco.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint python-Chaco.spec 
python-Chaco.spec: W: no-cleaning-of-buildroot %clean
python-Chaco.spec: W: no-buildroot-tag
python-Chaco.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint python-Chaco-3.3.1-1.fc13.i686.rpm
python-Chaco.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/enthought/chaco/contour/contour.so contour.so
python-Chaco.i686: E: non-standard-executable-perm /usr/lib/python2.6/site-packages/enthought/chaco/contour/contour.so 0775L
python-Chaco.i686: W: devel-file-in-non-devel-package /usr/lib/python2.6/site-packages/enthought/chaco/contour/cntr.c
1 packages and 0 specfiles checked; 1 errors, 2 warnings.



Notes:

- rpmlint warnings on SPEC and SRPM can be ignored, if there's no plain support epel <= 5.

- fix for "private-shared-object-provides" warning see: http://fedoraproject.org/wiki/Common_Rpmlint_issues#private-shared-object-provides

- non-standard-executable-perm ERROR: set the permissions to 0755.

- fix for "devel-file-in-non-devel-package": remove this file if it is not necessary or if it's an example put it in %doc section.
Comment 2 Chen Lei 2010-08-01 22:10:28 EDT
(In reply to comment #1)
> rpmlint output:
> 
> $ rpmlint python-Chaco-3.3.1-1.fc13.i686.rpm
> python-Chaco.i686: W: private-shared-object-provides
> /usr/lib/python2.6/site-packages/enthought/chaco/contour/contour.so contour.so
> python-Chaco.i686: E: non-standard-executable-perm
> /usr/lib/python2.6/site-packages/enthought/chaco/contour/contour.so 0775L
> python-Chaco.i686: W: devel-file-in-non-devel-package
> /usr/lib/python2.6/site-packages/enthought/chaco/contour/cntr.c
> 1 packages and 0 specfiles checked; 1 errors, 2 warnings.

> - fix for "private-shared-object-provides" warning see:
> http://fedoraproject.org/wiki/Common_Rpmlint_issues#private-shared-object-provides
> 
I ignored this issue ,because it's almost harmless and already be reported to rpm upstream for filter all those private object. 

> - non-standard-executable-perm ERROR: set the permissions to 0755.
> 

I can't reproduce this error in mock, this permissions is right.

rpm -qplv python-Chaco-3.3.1-1.fc13.x86_64.rpm|grep '\.so'
-rwxr-xr-x    1 root    root                    20840  8月  2 09:52 /usr/lib64/python2.6/site-packages/enthought/chaco/contour/contour.so


> - fix for "devel-file-in-non-devel-package": remove this file if it is not
> necessary or if it's an example put it in %doc section.    

Removed in 3.3.1-2.

SRPM: http://dl.dropbox.com/u/1338197/1/python-Chaco-3.3.1-2.fc13.src.rpm
SPEC: http://dl.dropbox.com/u/1338197/1/python-Chaco.spec
Comment 3 manuel wolfshant 2010-08-02 04:37:29 EDT
Can you please explain why did you include 
 mv docs/chaco\ talk\ apr_2006 docs/chaco_talk_apr_2006
 [...]
 mv docs/chaco_talk_apr_2006 docs/chaco\ talk\ apr_2006
in the %prep stage ?
Comment 4 Chen Lei 2010-08-02 04:52:39 EDT
(In reply to comment #3)
> Can you please explain why did you include 
>  mv docs/chaco\ talk\ apr_2006 docs/chaco_talk_apr_2006
>  [...]
>  mv docs/chaco_talk_apr_2006 docs/chaco\ talk\ apr_2006
> in the %prep stage ?    

Because I use the following command which don't allow file names that contain  white space. Personally, I don't like to use find [...] -print0 |xarg 0 instead :)


for file in `find -name "*.txt" -o -name "*.py" -o -name "*.js" -o -name "*.htc" \
	-o -name "*.css"`
Comment 5 manuel wolfshant 2010-08-02 09:00:32 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: koji scratch build for F13
 [x] Rpmlint output:
source RPM:
python-Chaco.src: W: invalid-license Public domain
=>Please use "Public Domain" instead ( capital D)

python-Chaco.src: W: no-cleaning-of-buildroot %clean
python-Chaco.src: W: no-buildroot-tag
python-Chaco.src: W: no-%clean-section
=> no problem if not building for the older distros

binary RPM:
python-Chaco.x86_64: W: invalid-license Public domain
=> will be fixed together with the one from src.
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:BSD and Public Domain
 [!] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
=> there is an additional license file in enthought/chaco which should be included
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 6ba2e2f90e5409cb22b1e429dcbbeded6c3df978  Chaco-3.3.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:koji scratch build for F13
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
Please fix the license related issues before importing.

=== Final Notes ===
Which package is owning  /usr/lib64/python2.6/site-packages/enthought ? yum provides lists a whole bunch...
Using that weird mv / find / mv combination is not illegal, but I'd rather see that find fixed, too. Even if you do not like the print0 argument :)


APPROVED ( despite the ugly way to remove DOS line endings )
Comment 6 Chen Lei 2010-08-02 21:38:27 EDT
(In reply to comment #5)

> 
> === Issues ===
> Please fix the license related issues before importing.
> 
> === Final Notes ===
> Which package is owning  /usr/lib64/python2.6/site-packages/enthought ? yum
> provides lists a whole bunch...

I'll contact Mayavi maintainer to solve this issue, but I can confirm this directories should not be owned by this packages.

> Using that weird mv / find / mv combination is not illegal, but I'd rather see
> that find fixed, too. Even if you do not like the print0 argument :)
> 
> 

Another reason to use still this workaround is I can't find a easy way to retain timestamps when using find [...] -print0|xargs.


Thanks a lot for the quick review!
Comment 7 Chen Lei 2010-08-02 21:40:39 EDT
New Package CVS Request
=======================
Package Name: python-Chaco
Short Description: Interactive 2-Dimensional Plotting
Owners: supercyper
Branches: F-13 F-14
InitialCC:
Comment 8 manuel wolfshant 2010-08-03 02:39:45 EDT
(In reply to comment #6)

> > Using that weird mv / find / mv combination is not illegal, but I'd rather see
> > that find fixed, too. Even if you do not like the print0 argument :)
> > 
> > 
> 
> Another reason to use still this workaround is I can't find a easy way to
> retain timestamps when using find [...] -print0|xargs.
> 
Just do proper escaping of the filenames ( "$name" ) and you will not need that ugly hack.
Comment 9 Kevin Fenzi 2010-08-03 13:54:17 EDT
GIT done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.